Package robocode.control

## Class RobotSpecification

- java.lang.Object
- - robocode.control.RobotSpecification

All Implemented Interfaces:
  `Serializable`

    public class RobotSpecification
    extends Object
    implements Serializable

Defines the properties of a robot, which is returned from `RobocodeEngine.getLocalRepository()`.

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor)
See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAuthorName​()` Returns the name of the author of this robot or team.
`String` `getClassName​()` Returns the full class name of this robot or team.
`String` `getDescription​()` Returns the description provided by the author of this robot or team.
`File` `getJarFile​()` Returns the JAR file containing this robot or team, or `null` if it does not come from a JAR file (could be class files instead).
`String` `getName​()` Returns the name of this robot or team.
`String` `getNameAndVersion​()` Returns the name and version of this robot or team.
`String` `getRobocodeVersion​()` Returns the version of Robocode this robot or team was build with.
`String` `getTeamId​()` Returns id of the team in current battle.
`String` `getVersion​()` Returns the version of this robot or team.
`String` `getWebpage​()` Returns the link to the web page for this robot or team.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getName

    public String getName​()

Returns the name of this robot or team.

Returns:
  the name of this robot or team.
See Also:
  `getVersion()`, `getNameAndVersion()`

#### getVersion

    public String getVersion​()

Returns the version of this robot or team.

Returns:
  the version of this robot or team.
See Also:
  `getName()`, `getNameAndVersion()`

#### getNameAndVersion

    public String getNameAndVersion​()

Returns the name and version of this robot or team.

Returns:
  the name and version of this robot or team.
Since:
  1.3
See Also:
  `getName()`, `getVersion()`

#### getClassName

    public String getClassName​()

Returns the full class name of this robot or team.

Returns:
  the full class name of this robot or team.

#### getJarFile

    public File getJarFile​()

Returns the JAR file containing this robot or team, or `null` if it does not come from a JAR file (could be class files instead).

Returns:
  the JAR file containing this robot or team, or `null` if it does not come from a JAR file (could be class files instead).

#### getDescription

    public String getDescription​()

Returns the description provided by the author of this robot or team.

Returns:
  the description provided by the author of this robot or team.

#### getRobocodeVersion

    public String getRobocodeVersion​()

Returns the version of Robocode this robot or team was build with.

Returns:
  the version of Robocode this robot or team was build with.

#### getWebpage

    public String getWebpage​()

Returns the link to the web page for this robot or team.

Returns:
  the link to the web page for this robot or team.

#### getAuthorName

    public String getAuthorName​()

Returns the name of the author of this robot or team.

Returns:
  the name of the author of this robot or team.

#### getTeamId

    public String getTeamId​()

Returns id of the team in current battle.

Returns:
  id of the team in current battle.